From 6c1b4025a320f4b0a01f8b535aaede20350b28c5 Mon Sep 17 00:00:00 2001
From: "Stefan E. Funk" <funk@sub.uni-goettingen.de>
Date: Wed, 6 Mar 2024 15:53:25 +0100
Subject: [PATCH] fix: remove git lfs support

---
 .husky/post-checkout | 3 ---
 .husky/post-commit   | 3 ---
 .husky/post-merge    | 3 ---
 .husky/pre-push      | 3 ---
 4 files changed, 12 deletions(-)
 delete mode 100755 .husky/post-checkout
 delete mode 100755 .husky/post-commit
 delete mode 100755 .husky/post-merge
 delete mode 100755 .husky/pre-push

diff --git a/.husky/post-checkout b/.husky/post-checkout
deleted file mode 100755
index ca7fcb4..0000000
--- a/.husky/post-checkout
+++ /dev/null
@@ -1,3 +0,0 @@
-#!/bin/sh
-command -v git-lfs >/dev/null 2>&1 || { echo >&2 "\nThis repository is configured for Git LFS but 'git-lfs' was not found on your path. If you no longer wish to use Git LFS, remove this hook by deleting the 'post-checkout' file in the hooks directory (set by 'core.hookspath'; usually '.git/hooks').\n"; exit 2; }
-git lfs post-checkout "$@"
diff --git a/.husky/post-commit b/.husky/post-commit
deleted file mode 100755
index 52b339c..0000000
--- a/.husky/post-commit
+++ /dev/null
@@ -1,3 +0,0 @@
-#!/bin/sh
-command -v git-lfs >/dev/null 2>&1 || { echo >&2 "\nThis repository is configured for Git LFS but 'git-lfs' was not found on your path. If you no longer wish to use Git LFS, remove this hook by deleting the 'post-commit' file in the hooks directory (set by 'core.hookspath'; usually '.git/hooks').\n"; exit 2; }
-git lfs post-commit "$@"
diff --git a/.husky/post-merge b/.husky/post-merge
deleted file mode 100755
index a912e66..0000000
--- a/.husky/post-merge
+++ /dev/null
@@ -1,3 +0,0 @@
-#!/bin/sh
-command -v git-lfs >/dev/null 2>&1 || { echo >&2 "\nThis repository is configured for Git LFS but 'git-lfs' was not found on your path. If you no longer wish to use Git LFS, remove this hook by deleting the 'post-merge' file in the hooks directory (set by 'core.hookspath'; usually '.git/hooks').\n"; exit 2; }
-git lfs post-merge "$@"
diff --git a/.husky/pre-push b/.husky/pre-push
deleted file mode 100755
index 0f0089b..0000000
--- a/.husky/pre-push
+++ /dev/null
@@ -1,3 +0,0 @@
-#!/bin/sh
-command -v git-lfs >/dev/null 2>&1 || { echo >&2 "\nThis repository is configured for Git LFS but 'git-lfs' was not found on your path. If you no longer wish to use Git LFS, remove this hook by deleting the 'pre-push' file in the hooks directory (set by 'core.hookspath'; usually '.git/hooks').\n"; exit 2; }
-git lfs pre-push "$@"
-- 
GitLab